Bug 1365605 - self heal column in the bricks sub tab reports time for one of the brick in the volume
Summary: self heal column in the bricks sub tab reports time for one of the brick in t...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster
Version: 4.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 16:33 UTC by RamaKasturi
Modified: 2016-08-17 05:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-17 05:03:56 UTC
oVirt Team: Gluster
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
Screenshot for self heal column (144.67 KB, image/png)
2016-08-09 16:34 UTC, RamaKasturi
no flags Details
self heal column if more than two entries are present (151.01 KB, image/png)
2016-08-10 12:25 UTC, RamaKasturi
no flags Details

Description RamaKasturi 2016-08-09 16:33:29 UTC
Description of problem:
self heal column in the bricks sub tab reports time for one of the brick in the volume. Attached the screen shot for more details.


Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-4.0.1.1-0.1.el7ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install HC setup
2. Now bring down one of the brick in the volume.
3.

Actual results:
Self Heal column in the bricks sub tab reports "10 min" for one of the brick in the volume.

Expected results:
Self Heal column should report "no.of unsynced entries for all the bricks in the volume".

Additional info:

Comment 1 RamaKasturi 2016-08-09 16:34:35 UTC
Created attachment 1189356 [details]
Screenshot for self heal column

Comment 2 RamaKasturi 2016-08-09 16:57:30 UTC
sosreports are present in the link below.

http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/HC/1365605/

Comment 3 RamaKasturi 2016-08-10 12:24:20 UTC
If there are more than two entries present only time gets displayed in the Self-Heal info column.

Comment 4 RamaKasturi 2016-08-10 12:25:19 UTC
Created attachment 1189616 [details]
self heal column if more than two entries are present

Comment 5 Ramesh N 2016-08-12 09:10:48 UTC
The Self Heal Info column was designed to be like this. We wanted to show the time it will take to completely heal the brick. This calculated based on the unsynced entries history. This is explained in feature page http://www.ovirt.org/develop/release-management/features/gluster-self-heal-monitoring/

But this can done only if we have two values in the unsynced entries history. If it is not available then we will show the unsynced entries present in the brick.


Note You need to log in before you can comment on or make changes to this bug.